Package org.jbpm.services.task.persistence

## Class JPATaskPersistenceContextManager

- java.lang.Object
- - org.drools.persistence.jpa.AbstractPersistenceContextManager
  - - org.jbpm.services.task.persistence.JPATaskPersistenceContextManager

- All Implemented Interfaces:
    `org.kie.internal.task.api.TaskPersistenceContextManager`

      public class JPATaskPersistenceContextManager
      extends org.drools.persistence.jpa.AbstractPersistenceContextManager
      implements org.kie.internal.task.api.TaskPersistenceContextManager

- - ### Field Summary

    - ### Fields inherited from class org.drools.persistence.jpa.AbstractPersistenceContextManager

      `appScopedEntityManager, cmdScopedEntityManager, emf, env, internalAppScopedEntityManagerFlag, internalCmdScopedEntityManagerFlag, txm`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JPATaskPersistenceContextManager​(org.kie.api.runtime.Environment environment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginCommandScopedEntityManager()` |
    `void` | `endCommandScopedEntityManager()` |
    `org.kie.internal.task.api.TaskPersistenceContext` | `getPersistenceContext()` |

    - ### Methods inherited from class org.drools.persistence.jpa.AbstractPersistenceContextManager

      `dispose, getApplicationScopedEntityManager, getCommandScopedEntityManager, getInternalCommandScopedEntityManager, resetApplicationScopedPersistenceContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.api.TaskPersistenceContextManager

      `dispose`

- - ### Constructor Detail

    - #### JPATaskPersistenceContextManager

          public JPATaskPersistenceContextManager​(org.kie.api.runtime.Environment environment)

  - ### Method Detail

    - #### getPersistenceContext

          public org.kie.internal.task.api.TaskPersistenceContext getPersistenceContext()

      Specified by:
        `getPersistenceContext` in interface `org.kie.internal.task.api.TaskPersistenceContextManager`

    - #### beginCommandScopedEntityManager

          public void beginCommandScopedEntityManager()

      Specified by:
        `beginCommandScopedEntityManager` in interface `org.kie.internal.task.api.TaskPersistenceContextManager`

    - #### endCommandScopedEntityManager

          public void endCommandScopedEntityManager()

      Specified by:
        `endCommandScopedEntityManager` in interface `org.kie.internal.task.api.TaskPersistenceContextManager`
      Overrides:
        `endCommandScopedEntityManager` in class `org.drools.persistence.jpa.AbstractPersistenceContextManager`